Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api.dynamiccon
Interface DynamicConnection

All Superinterfaces:
  java.io.Serializable

    public interface DynamicConnection

extends java.io.Serializable

Represents a dynamic connection object. It contains connection identifier, connection attributes. When run a report, the server gets the dynamic connection by the DynamicConnectionProvider. Then pass the dynamic connection information into the report engine to setup the database connection.

The dynamic connection identifier (`getDynamicConnectionId()`) is use for distinguish multiple dynamic connections, there is not effect for setup database in Report Engine runtime. If the implementation do not support multiple connections for one user and catalog datasource, the identifier may be a fixed none-empty string. see `DynamicConnectionProvider`.
All other attributes use for setup database in Report Engine runtime or display for end-user, `null`means no changed, use original catalog settings.``

Method Summary
`java.lang.String` | `getDatabasePassword()` Returns the password of the connection.
`java.lang.String` | `getDatabaseUser()` Returns the user of the connection.
`java.lang.String` | `getDateFormat()` Returns the Date Format of the connection.
`java.lang.String` | `getDescription()` The description of the connection.
`java.lang.String` | `getDynamicConnectionId()` The connection identifier.
`java.lang.String` | `getExtraCharacters()` Returns the Extra Characters of the connection.
`java.lang.String` | `getJdbcDriver()` Returns the jdbc driver of the connection.
`java.lang.String` | `getJndiDatasourceName()` Returns the JNDI datasource name of the connection.
`java.lang.String` | `getName()` The name of the connection.
`APIEnums.ConnectionNamePattern` | `getNamePattern()` Returns the Qualified Name Pattern of the connection.
`java.lang.String` | `getQuoteCharacter()` Returns the User Defined Quote Character of the connection.
`APIEnums.ConnectionReadOnly` | `getReadOnly()` Returns the Read Only of the connection.
`java.lang.String` | `getTimeFormat()` Returns the Time Format of the connection.
`java.lang.String` | `getTimestampFormat()` Returns the Timestamp Format of the connection.
`APIEnums.ConnectionTransactionIsolation` | `getTransactionIsolation()` Returns the Transaction Isolation of the connection.
`java.lang.String` | `getURL()` Returns the URL of the connection.
`java.lang.Boolean` | `isJndiDatasource()` Returns whether is JNDI datasource of the connection.

Method Detail

### getDynamicConnectionId

    java.lang.String getDynamicConnectionId()

  The connection identifier.

  Used for distinguish multiple dynamic connections. There is not effect for setup database in Report Engine runtime. If the implementation do not support multiple connections for one user and catalog datasource, implementation may return a fixed none-empty string.

  Returns:
    the identifier of this connection, none-empty string.

### getName

    java.lang.String getName()

  The name of the connection.
  The name used for display for end-user to select one form available dynamic connections.

### getDescription

    java.lang.String getDescription()

  The description of the connection.

### isJndiDatasource

    java.lang.Boolean isJndiDatasource()

  Returns whether is JNDI datasource of the connection.
  null using original settings.

### getJndiDatasourceName

    java.lang.String getJndiDatasourceName()

  Returns the JNDI datasource name of the connection.
  null using original settings.

### getURL

    java.lang.String getURL()

  Returns the URL of the connection.
  null using original settings.

### getJdbcDriver

    java.lang.String getJdbcDriver()

  Returns the jdbc driver of the connection.
  null using original settings.

### getDatabaseUser

    java.lang.String getDatabaseUser()

  Returns the user of the connection.
  null using original settings.

### getDatabasePassword

    java.lang.String getDatabasePassword()

  Returns the password of the connection.
  null using original settings.

### getDateFormat

    java.lang.String getDateFormat()

  Returns the Date Format of the connection.
  null using original settings.

### getNamePattern

    APIEnums.ConnectionNamePattern getNamePattern()

  Returns the Qualified Name Pattern of the connection.
  null using original settings.

### getReadOnly

    APIEnums.ConnectionReadOnly getReadOnly()

  Returns the Read Only of the connection.
  null using original settings.

### getTimeFormat

    java.lang.String getTimeFormat()

  Returns the Time Format of the connection.
  null using original settings.

### getTimestampFormat

    java.lang.String getTimestampFormat()

  Returns the Timestamp Format of the connection.
  null using original settings.

### getTransactionIsolation

    APIEnums.ConnectionTransactionIsolation getTransactionIsolation()

  Returns the Transaction Isolation of the connection.
  null using original settings.

### getExtraCharacters

    java.lang.String getExtraCharacters()

  Returns the Extra Characters of the connection.
  null using original settings.

### getQuoteCharacter

    java.lang.String getQuoteCharacter()

  Returns the User Defined Quote Character of the connection.
  null using original settings.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD